Bug 1188870 - BPMN2 files created with Web Designer can not be saved from Eclipse editor
Summary: BPMN2 files created with Web Designer can not be saved from Eclipse editor
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Eclipse Tooling
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: ---
Assignee: Kris Verlaenen
QA Contact: Jozef Marko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-03 21:43 UTC by Robert (Bob) Brodt
Modified: 2018-01-30 12:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
process which can't be saved (26.91 KB, application/xml)
2015-02-10 14:37 UTC, Jozef Marko
no flags Details

Description Robert (Bob) Brodt 2015-02-03 21:43:01 UTC
Description of problem:
BPMN2 Process files created with Web Designer can no longer be saved if they are imported into the Eclipse BPMN2 Modeler. The problem is caused by "overly aggressive" ID validation.

Version-Release number of selected component (if applicable):
1.0.4, 1.1.2

How reproducible:
always

Steps to Reproduce:
1.Create a Process with Sequence Flows in Web Designer
2.Import the Process into Eclipse BPMN2 Modeler
3.Make an insignificant change and Save

Actual results:
Error popup dialog with message "The file can not be saved..."

Expected results:
Changes are saved correctly.

Additional info:

Comment 1 Robert (Bob) Brodt 2015-02-09 19:01:45 UTC
Fixed in Luna build 1.1.2.201502091842
download.eclipse.org/bpmn2-modeler/updates/luna/1.1.2/

Fixed in Kepler build 1.0.4.201502091849
download.eclipse.org/bpmn2-modeler/updates/kepler/1.0.4/

Comment 2 Jozef Marko 2015-02-10 14:37:20 UTC
Created attachment 990106 [details]
process which can't be saved

Comment 3 Jozef Marko 2015-02-10 14:40:03 UTC
Still reproducible on BPMN2 Modeler 1.1.2.201502091842

1. Import the attached file. 
2. Rename or move some node and try to save it.
3. 'Can not save file' dialog appear.

Comment 4 Jozef Marko 2015-02-10 14:52:07 UTC
With BPMN2 Modeler 1.1.1.201501081320 occurs another problem.

Way to reproduce a bug:
1. Import the attached file.
2. Set 'Locale' or 'Content' 'Self Evaluation' for example
3. Save file.

Actual results:
File is saved without problems but there are validation errors because of missing 'itemSubjectRef' in added 'dataInput'. 

Expected results:
File is saved without validation errors.

Comment 5 Robert (Bob) Brodt 2015-02-10 17:31:46 UTC
Sorry about that...I Forgot that only DataInputs that are used in MultiInstanceLoopCharacteristics need Java variable name validation on IDs (you guys are killing me here!)

Also added a default "Object" data type to User Task (and WID) parameters that haven't been created yet.

Please retest with today's builds for Kepler and Luna (same update sites.)

Comment 6 Jozef Marko 2015-02-11 07:41:26 UTC
Verified on:
Luna: BPMN2 Modeler 1.1.2.201502101729
Kepler: BPMN2 Modeler 1.0.4.201502101729

Comment 7 Marek Baluch 2015-02-12 15:58:03 UTC
Based on last comment marking as VERIFIED

Comment 8 Marek Baluch 2015-02-12 22:09:01 UTC
My fault - This is not part of JBDSIS yet! Moving back to modified,

@Jozef - Sorry for the inconvenience.

Comment 10 Jozef Marko 2015-03-31 10:05:39 UTC
Verified on jbds-8.1.0.CR1_jbdsis-8.0.1.CR1 - BPMN2 Modeler 1.1.2.Final


Note You need to log in before you can comment on or make changes to this bug.